List the Mortgage Brain connections of the firm's advisers Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/addons/mortgagebrain/connections

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[status] string

    connected, expired or not_connected.

  • sort string

    Sort by last_name or first_name, prefixed with - for descending.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • adviser object
        Hide adviser attributes Show adviser attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • firm object
        Hide firm attributes Show firm attributes object
        • uuid string
        • name string
      • status string
      • status_label string
      • connection_expires_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/addons/mortgagebrain/connections
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/mortgagebrain/connections' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "adviser": {
        "uuid": "a60cd8a6-5ceb-490a-99bb-75fd2868629b",
        "created_at": "2026-11-10T14:00:23+00:00",
        "updated_at": "2026-11-10T14:00:23+00:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "60e46a23-764b-487d-8a0b-e298a1779db6",
          "created_at": "2026-11-10T14:00:29+00:00",
          "updated_at": "2026-11-10T14:00:29+00:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "firm": {
        "uuid": "53f22fe4-3731-4cdc-aa12-e65bd0b15e52",
        "name": "Harbour Wealth"
      },
      "status": "connected",
      "status_label": "Connected",
      "connection_expires_at": "2027-05-06T09:00:00+01:00"
    }
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}